package com.ycwl.basic.mapper;

import com.ycwl.basic.model.mobile.statistic.CommonQueryReq;
import org.apache.ibatis.annotations.Mapper;

import java.math.BigDecimal;

/**
 * @Author：longbinbin
 * @Date：2024/12/12 9:51
 */
@Mapper
public interface StatisticsMapper {
    /**
     * 统计支付订单金额
     * @param query
     * @return
     */
    BigDecimal countOrderAmount(CommonQueryReq query);

    /**
     * 统计预览视频人数
     * @param query
     * @return
     */
    int countPreviewOfMember(CommonQueryReq query);

    /**
     * 统计扫码人数
     * @param query
     * @return
     */
    int countScanCodeOfMember(CommonQueryReq query);

    /**
     * 统计点击购买人数
     * @param query
     * @return
     */
    int countClickPayOfMember(CommonQueryReq query);

    /**
     * 统计付费人数
     * @param query
     * @return
     */
    int countPayOfMember(CommonQueryReq query);

    int countSceneOrderNum(CommonQueryReq query);

    int countPushOrderNum(CommonQueryReq query);
}
